import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, SubTable } from 'model-util';
import { Ad_info_material } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-14 12:51
 */
interface Ad_info_materialCU extends ConditionUtil<Ad_info_materialCU> {
    AD_INFO_ID: FieldUtil<Ad_info_materialCU>;
    AD_MATERIAL_ID: FieldUtil<Ad_info_materialCU>;
    DEL_FLAG: FieldUtil<Ad_info_materialCU>;
}
declare class Ad_info_materialMU extends TableUtilImpl<Ad_info_materialCU, Ad_info_material> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: SubTable[];
    createConditionUtil(): Ad_info_materialCU;
    static get AD_INFO_ID(): FieldUtil<Ad_info_materialCU>;
    static get AD_MATERIAL_ID(): FieldUtil<Ad_info_materialCU>;
    static get DEL_FLAG(): FieldUtil<Ad_info_materialCU>;
    get AD_INFO_ID(): FieldUtil<Ad_info_materialCU>;
    get AD_MATERIAL_ID(): FieldUtil<Ad_info_materialCU>;
    get DEL_FLAG(): FieldUtil<Ad_info_materialCU>;
}
export { Ad_info_materialMU, Ad_info_materialCU };
